RCFProto

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
DeltaVSoft.RCFProto.Win32Certificate Class Reference

Represents an in-memory certificate, usually from a remote peer. Only applicable to Schannel. More...

Inheritance diagram for DeltaVSoft.RCFProto.Win32Certificate:

## Public Member Functions
override void | Dispose ()
string | GetCertificateName ()
| Gets the name of the certificate. More...
string | GetIssuerName ()
| Gets the name of the issuer of the certificate. More...
void | ExportToPfx (string pfxFilePath)
| Exports the certificate in PFX format, to the given file path. More...
Win32Certificate | FindRootCertificate (Win32CertificateLocation certStoreLocation, Win32CertificateStore certStore)
| Attempts to locate a root certificate for this certificate, in the given certificate store. Returns the root certificate if found, and otherwise null. More...

## Detailed Description

Represents an in-memory certificate, usually from a remote peer. Only applicable to Schannel.

## Member Function Documentation

override void DeltaVSoft.RCFProto.Win32Certificate.Dispose | ( |  | ) |
| virtual

Reimplemented from DeltaVSoft.RCFProto.Certificate.

void DeltaVSoft.RCFProto.Win32Certificate.ExportToPfx | ( | string | pfxFilePath | ) |

Exports the certificate in PFX format, to the given file path.

Win32Certificate DeltaVSoft.RCFProto.Win32Certificate.FindRootCertificate | ( | Win32CertificateLocation | certStoreLocation,
|  | Win32CertificateStore | certStore
| ) |  |

Attempts to locate a root certificate for this certificate, in the given certificate store. Returns the root certificate if found, and otherwise null.

string DeltaVSoft.RCFProto.Win32Certificate.GetCertificateName | ( |  | ) |

Gets the name of the certificate.

string DeltaVSoft.RCFProto.Win32Certificate.GetIssuerName | ( |  | ) |

Gets the name of the issuer of the certificate.

The documentation for this class was generated from the following file:

- Win32Certificate.cs